ION complains that it requires Cordova 2.7

5 posts, 0 answers
  1. Robert
    Robert avatar
    39 posts
    Member since:
    Oct 2012

    Posted 26 Jun 2013 Link to this post

    As of the June 25th update, ION is displaying an alert box saying that it only works with applications built using Cordova 2.7.

    Please tell me this is a mistake and you will get of the annoying alert ASAP!  It would be a huge disservice to anyone building projects using Icenium to require a specific version of Cordova.  I am on a tight deadline and I cannot afford to switch Cordova versions at this time, yet I still require ION for running from Mist.  If this is a mistake, it is worth fixing NOW; please address the issue.
  2. Stephen
    Stephen avatar
    7 posts
    Member since:
    Sep 2012

    Posted 27 Jun 2013 Link to this post

    I have the same issue now. Downloaded the update from the app store yesterday, now I can't test any of my apps.
    This causes a huge problem with our testing. Please solve this as soon as possible.
  3. Stefan Dobrev
    Admin
    Stefan Dobrev avatar
    790 posts

    Posted 27 Jun 2013 Link to this post

    Hi Robert,

    This is not a mistake, because Ion always ships with Icenium's latest supported Cordova version. The new Cordova version should be backwards compatible with the old version you are using. Are you using some deprecated API? We understand that it is not an ideal time for your to upgrade the Cordova version but you will have to try to do so if you want the warning to be hidden.

    UPDATE: The new version of Ion is not compatible with old projects, because Cordova has changed their internal native-to-web bridge, so you will need to upgrade your projects if you want to use Ion.

     

    Regards,
    Stefan Dobrev
    Telerik

    Looking for tips & tricks directly from the Icenium team? Check out our blog!
    Missed our first webinar, watch it here.
    Share feedback and vote for features on our Feedback Portal.
  4. Stephen
    Stephen avatar
    7 posts
    Member since:
    Sep 2012

    Posted 27 Jun 2013 Link to this post

    Hi Stefan,

    I created a new project in Icenium less than a week ago.
    Since the update, i get this alert, and my app does not work. It works fine in the iPad simulator in Mist, but in Ion, after the alert, I'm just left with a blank screen.
  5. Stefan Dobrev
    Admin
    Stefan Dobrev avatar
    790 posts

    Posted 27 Jun 2013 Link to this post

    Hi Stephen,

    You will have to update the Cordova version from the project properties screen and then deploy the app on Ion. As it turns out Cordova has an internal change in their native bridge that does not work for 2.4 projects.

     

    Regards,
    Stefan Dobrev
    Telerik

    Looking for tips & tricks directly from the Icenium team? Check out our blog!
    Missed our first webinar, watch it here.
    Share feedback and vote for features on our Feedback Portal.
Back to Top